import React from 'react';
import type { Document } from 'mongodb';
type BaseSearchIndexModalProps = {
    mode: 'create' | 'update';
    initialIndexName: string;
    initialIndexDefinition: string;
    isModalOpen: boolean;
    isBusy: boolean;
    error: string | undefined;
    onSubmit: (indexName: string, indexDefinition: Document) => void;
    onClose: () => void;
};
export declare const BaseSearchIndexModal: React.FunctionComponent<BaseSearchIndexModalProps>;
export {};
//# sourceMappingURL=base-search-index-modal.d.ts.map